org.bouncycastle.crypto.tls

## Class CombinedHash

- java.lang.Object
- - org.bouncycastle.crypto.tls.CombinedHash

All Implemented Interfaces:
  Digest

    public class CombinedHash
    extends java.lang.Object
    implements Digest

A combined hash, which implements md5(m) || sha1(m).

### Constructor Summary

Constructors
Constructor and Description
`CombinedHash()`

### Method Summary

Methods
`int` `doFinal(byte[] out, int outOff)` close the digest, producing the final digest value.
`java.lang.String` `getAlgorithmName()` return the algorithm name
`int` `getDigestSize()` return the size, in bytes, of the digest produced by this message digest.
`void` `reset()` reset the digest back to it's initial state.
`void` `update(byte in)` update the message digest with a single byte.
`void` `update(byte[] in, int inOff, int len)` update the message digest with a block of bytes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CombinedHash

    public CombinedHash()

### Method Detail

#### getAlgorithmName

    public java.lang.String getAlgorithmName()

Description copied from interface: `Digest`
return the algorithm name

Specified by:
  `getAlgorithmName` in interface `Digest`
Returns:
  the algorithm name
See Also:
  `Digest.getAlgorithmName()`

#### getDigestSize

    public int getDigestSize()

Description copied from interface: `Digest`
return the size, in bytes, of the digest produced by this message digest.

Specified by:
  `getDigestSize` in interface `Digest`
Returns:
  the size, in bytes, of the digest produced by this message digest.
See Also:
  `Digest.getDigestSize()`

#### update

    public void update(byte in)

Description copied from interface: `Digest`
update the message digest with a single byte.

Specified by:
  `update` in interface `Digest`
Parameters:
  `in` - the input byte to be entered.
See Also:
  `Digest.update(byte)`

#### update

    public void update(byte[] in,
              int inOff,
              int len)

Description copied from interface: `Digest`
update the message digest with a block of bytes.

Specified by:
  `update` in interface `Digest`
Parameters:
  `in` - the byte array containing the data.
  `inOff` - the offset into the byte array where the data starts.
  `len` - the length of the data.
See Also:
  `Digest.update(byte[],int,int)`

#### doFinal

    public int doFinal(byte[] out,
              int outOff)

Description copied from interface: `Digest`
close the digest, producing the final digest value. The doFinal call leaves the digest reset.

Specified by:
  `doFinal` in interface `Digest`
Parameters:
  `out` - the array the digest is to be copied into.
  `outOff` - the offset into the out array the digest is to start at.
See Also:
  `Digest.doFinal(byte[],int)`

#### reset

    public void reset()

Description copied from interface: `Digest`
reset the digest back to it's initial state.

Specified by:
  `reset` in interface `Digest`
See Also:
  `Digest.reset()`